﻿#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Serverside
{
    public partial class _Default : Page
    {

        List<LoadData> treeData = new List<LoadData>();
        protected void Page_Load(object sender, EventArgs e)
        {
            treeData.Add(new LoadData { Id = 1, Parent = 0, Text = "Item 1", Expanded = true });
            treeData.Add(new LoadData { Id = 2, Parent = 0, Text = "Item 2" });
            treeData.Add(new LoadData { Id = 3, Parent = 0, Text = "Item 3" });
            treeData.Add(new LoadData { Id = 4, Parent = 0, Text = "Item 4" });
            treeData.Add(new LoadData { Id = 5, Parent = 1, Text = "Item 1.1" });
            treeData.Add(new LoadData { Id = 6, Parent = 1, Text = "Item 1.2" });
            treeData.Add(new LoadData { Id = 7, Parent = 1, Text = "Item 1.3" });
            treeData.Add(new LoadData { Id = 8, Parent = 3, Text = "Item 3.1" });
            treeData.Add(new LoadData { Id = 9, Parent = 3, Text = "Item 3.2" });
            treeData.Add(new LoadData { Id = 10, Parent = 5, Text = "Item 1.1.1" });
            this.treeview.DataSource = treeData;
        }

        protected void treeview_NodeSelected(object sender, Syncfusion.JavaScript.Web.TreeViewEventArgs e)
        {
            string text = e.NodeText;
        }

        public class LoadData
        {
            public int Id { get; set; }
            public int Parent { get; set; }
            public string Text { get; set; }
            public bool Expanded { get; set; }
        }

        protected void treeView_NodeChecked(object sender, Syncfusion.JavaScript.Web.TreeViewEventArgs e)
        {
            string text = e.NodeText;
        }

        protected void treeView_NodeSelected(object sender, Syncfusion.JavaScript.Web.TreeViewEventArgs e)
        {
            string text = e.NodeText;
        }

    }
}